Subject: Re: linux-next: build failure after merge of the irqchip tree

From: Jonathan Neuschäfer <[email-masked]>
Date: Thu, 8 Apr 2021 10:35:03 +0200

On Thu, Apr 08, 2021 at 08:56:18AM +0100, Marc Zyngier wrote:
> Hi Stephen,
> 
> On 2021-04-08 07:35, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the irqchip tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/irqchip/irq-wpcm450-aic.c:9:10: fatal error: asm/exception.h:
> > No such file or directory
> >     9 | #include <asm/exception.h>
> >       |          ^~~~~~~~~~~~~~~~~
> > 
> > Caused by commit
> > 
> >   fead4dd49663 ("irqchip: Add driver for WPCM450 interrupt controller")
> > 
> > I have used the irqchip tree from next-20210407 for today.
> 
> Thanks for the heads up. I guess that's the effect of COMPILE_TEST
> which was apparently not very well tested... I'll drop it from Kconfig.

Right, sorry about that.

> Jonathan, feel free to submit something re-enabling COMPILE_TEST once
> you've worked out the missing dependencies.

I used __exception_irq_entry from asm/exception.h, like other irqchip
drivers for ARM. This macro is only defined in arch/arm and arch/arm64.
So, AFAICS, there is no right set of dependencies for COMPILE_TEST.

Jonathan